Feature: GUI of Synergy (BSM)

	@asmonitor
	Scenario: Load GUI
		Given I am on the main page
		When I hover over the "Monitoring" button
		And I click "Business Services"
		Then I should see "Business Object"

	@asmonitor
	Scenario: Add and delete object
		Given I am on the main page
		When I hover over the "Monitoring" button
		And I click "Business Services"
		And I click "New Business Service"
		And I click "Worst state"
		And I enter "A BSM object" into "name"
		And I check "is-use"
		And I enter "monitor" into "materialized_flexselect"
		And I click "create"
		Then I should see "A BSM object"
		And I should see css "#notification-board"

		When I click css "#sync-button"
		Then I should see "A BSM object"
		Then I shouldn't see "You have unsaved configuration changes. Please press SAVE to activate them."

		When I click css "tr[data-url='A%20BSM%20object'] .action-button.delete"
		Then I should see css "#notification-board"

		When I click css "#sync-button"
		Then I shouldn't see "A BSM object"
